Skip to main content
GET
/
v1
/
appointments
/
{id}
Get appointment by ID
curl --request GET \
  --url https://api.example.com/v1/appointments/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Organization-Id: <x-organization-id>'
{
  "code": "success",
  "data": {
    "id": "appt_01J5K8N2XRQV3M7YGWT4HB6E9C",
    "scheduledStartDate": "2025-01-20T09:00:00.000Z",
    "scheduledEndDate": "2025-01-20T09:30:00.000Z",
    "status": "confirmed",
    "isNewPatient": false,
    "patientId": "pat_01J5K8N2XRQV3M7YGWT4HB6E9C",
    "patientFirstName": "Sarah",
    "patientLastName": "Johnson",
    "patientMrn": "MRN-10042",
    "providerId": "prov_01J5K8N2XRQV3M7YGWT4HB6E9C",
    "providerFirstName": "James",
    "providerLastName": "Wilson",
    "facilityId": "fac_01J5K8N2XRQV3M7YGWT4HB6E9C",
    "facilityName": "West LA Dermatology",
    "createdAt": "2025-01-15T09:30:00.000Z"
  }
}

Authorizations

Authorization
string
header
required

Marketplace API key

Headers

X-Organization-Id
string
required

Target clinic organization ID

Path Parameters

id
string
required

Appointment ID

Response

Success

code
string
required

Response code

Example:

"success"

data
object
required